<div class="info-item" [ngClass]="{ centered: item.isCentered }" [ngStyle] = "styles">
  <div class="info-title">{{ item.title }}:</div>
  <ng-container *ngIf="item.value.type" [ngSwitch]="item.value.type">
    <ng-container *ngSwitchCase="'size'">
      <app-size [noCenter]="true" [size]="item.value.value"></app-size>
    </ng-container>
    <ng-container *ngSwitchCase="'purchasedSize'">
      <app-purchased-size [noCenter]="true" [size]="item.value.value"></app-purchased-size>
    </ng-container>
    <ng-container *ngSwitchCase="'link'">
      <a [ngClass]="{before:  item.value.symbol === 'before', after: item.value.symbol === 'after'}"
        [ngStyle]="{'max-width': item.value.maxWidth + 'px'}"
        class="info-value link">{{ item.value.value || item.value }}</a>
    </ng-container>
    <ng-container *ngSwitchCase="'status'">
      <!-- <app-status [status]="item.value.value"></app-status> -->
      <app-status-no-outline [status]="item.value.value"></app-status-no-outline>
      <!-- <div [ngClass]="{red: item.value.value === 'Yes' || item.title === 'Refunds', green: item.value.value === 'No' || item.title === 'Refunds' }" class="info-value">{{ item.value.value }}</div> -->
    </ng-container>
    <ng-container *ngSwitchDefault>
      <div class="info-value">{{ item.value.value || item.value }}</div>
    </ng-container>
  </ng-container>
  <div *ngIf="!item.value.type" class="info-value">{{ item.value }}</div>
</div>